Epidemic forecasting with mechanistic infection models


License
BSD-1-Clause
Install
pip install epifx==0.6.1

Documentation

Epidemic forecasting with mechanistic infection models

Description

This package generates epidemic forecasts with mechanistic infection models.

Documentation

The documentation is available online and can be built locally with sphinx:

python setup.py build_sphinx

Note that the sphinx_rtd_theme theme must be installed.

License

The code is distributed under the terms of the BSD 3-Clause license (see LICENSE), and the documentation is distributed under the terms of the Creative Commons BY-SA 4.0 license.

Installation

Clone this repository and execute:

python setup.py install

If you don't have admin rights, install the package locally:

python setup.py install --user

Dependencies

This package requires h5py >= 2.2, pypfilt >= 0.5.1, NumPy >= 1.8, and SciPy >= 0.11.